Package wx :: Class PyEvtHandler

[frames | no frames]

## Type PyEvtHandler

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    PyEvtHandler

The wx.PyEvtHandler class can be used to intercept calls to the `ProcessEvent` method. Simply derive a new class from this one, override ProcessEvent, and then push an instance of the class onto the event handler chain for a window using `wx.Window.PushEventHandler`.

Method Summary
PyEvtHandler | ``__init__`(self)` The wx.PyEvtHandler class can be used to intercept calls to the `ProcessEvent` method.
bool | ``ProcessEvent`(self, event)` Override this method to intercept the events being sent to the window.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

The wx.PyEvtHandler class can be used to intercept calls to the `ProcessEvent` method. Simply derive a new class from this one, override ProcessEvent, and then push an instance of the class onto the event handler chain for a window using `wx.Window.PushEventHandler`.

  Returns:
    PyEvtHandler
  Overrides:
    `wx.EvtHandler.__init__`

### ProcessEvent(self, event)

Override this method to intercept the events being sent to the window. The default implementation searches the event tables and calls event handler functions if matching event bindings are found.

  Parameters:
    `event`
    (type=Event)

  Returns:
    bool
  Overrides:
    `wx.EvtHandler.ProcessEvent`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:00 2009 | http://epydoc.sf.net